

/* ----- MESSAGE D'ALERTE ----- */
.warning-message{
    background-color: var(--yellow);
    padding: 20px 0;
    text-align: center;
    font-weight: bold;
    font-family: "montserrat";

    .legend{
        font-size: 10px;
        padding-left: 10px;
    }

}

/* ----- LOGIN CONTAINER ----- */
.login-container{

    padding: 10px 0;
    background-color: var(--gray);
    border-bottom: 1px solid #2d2d2d;

    .col{
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .logo{
        color: var(--white);
        font-weight: bold;
        font-size: 23px;
    }

    .login-content{
        display: flex;

        .email,
        .password{
            background-color: var(--darkGray);
            border-radius: 5px;
            margin-left: 10px;
            padding:2px 10px;
        }

        input:-webkit-autofill,
        input:-webkit-autofill:hover,
        input:-webkit-autofill:focus,
        textarea:-webkit-autofill,
        textarea:-webkit-autofill:hover,
        textarea:-webkit-autofill:focus,
        select:-webkit-autofill,
        select:-webkit-autofill:hover,
        select:-webkit-autofill:focus {
            -webkit-box-shadow: 0 0 0px 1000px var(--darkGray) inset !important;
            border: none;
            -webkit-text-fill-color: var(--white);
            font-size: 14px;
            font-style: italic;
        }

        input[type="email"]{
            background-color: var(--darkGray);
            border: none;
            color: var(--white);
            font-size: 14px;
            color-scheme: dark;
            height: 30px;
        }
        input[type="password"]{
            background-color: var(--darkGray);
            border: none;
            color: var(--white);
            font-size: 14px;
            color-scheme: dark;
            height: 30px;
        }
        input[type="date"]{
            background-color: var(--darkGray);
            border: none;
            color: var(--white);
            font-size: 14px;
            color-scheme: dark;
            height: 30px;
            margin-left: 10px;
            padding: 0 10px;
            border-radius: 5px;
            height: 35px;
            font-style: italic;
        }
        input::placeholder{
            font-style: italic;
        }


        button{
            background-color: var(--green);
            border-radius: 5px;
            color: var(--white);
            border: none;
            height: 35px;
            padding: 0 10px;
            margin-left: 10px;
        }

        a{
            font-size: 14px;
            color: var(--white);
            font-style: italic;
            
        }

    }

}




.navigation{
    background-color: var(--gray);

    .navigation-content{
        display: flex;
        justify-content: space-between;

        input[type="search"]{
            background-color: var(--darkGray);
            border: none;
            color: var(--white);
            font-size: 14px;
            color-scheme: dark;
            padding: 0 10px;
            height: 35px;
            width: 300px;
            font-style: italic;
        }
        input{
            font-style: italic;
            font-size: 14px;
        }

        nav{

            ul{
                display: flex;

                li{
                    display: flex;
                    align-items: center;
                    height:35px;
                    padding: 0 20px;
                    cursor: pointer;

                    a{
                        color: var(--white);
                    }

                }
                .nav-active{
                    background-color: var(--darkGray);
                }

            }

            

        }

    }

}



